Bug 437256 - rmcp_ping badly handles cmd line arguments
rmcp_ping badly handles cmd line arguments
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: OpenIPMI (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 05:36 EDT by Milos Malik
Modified: 2009-09-02 05:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:59:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-03-13 05:36:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
The rmcp_ping utility does not check the command line arguments if they are sane.

Version-Release number of selected component (if applicable):
OpenIPMI-2.0.6-6

How reproducible:
Always


Steps to Reproduce:
1. rmcp_ping -p -1
2. rmcp_ping -p 65536
3. rmcp_ping -t -1

Actual Results:
1. it is running and broadcasting data to port 65535
2. it starts and tries to broadcast data to port 0, exits with an error message "sendto: Invalid argument"
3. it is running, broadcasting data and waiting for an answer for a very long time (my guess is 65535 seconds)

Expected Results:
1. it exits with an error message like "invalid port number"
2. it exits with an error message like "invalid port number"
3. it exits with an error message like "invalid number of seconds"

Additional info:
Comment 2 Jan Safranek 2009-01-09 09:40:29 EST
Patch was accepted.
Comment 8 errata-xmlrpc 2009-09-02 05:59:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1312.html

Note You need to log in before you can comment on or make changes to this bug.